## dpap-share dpap-share |

## Functions

DPAPShare * | dpap_share_new ()

## Description

## Functions

### dpap_share_new ()

    DPAPShare *
    dpap_share_new (const char *name,
                    const char *password,
                    gpointer db,
                    gpointer container_db,
                    gchar *transcode_mimetype);

Creates a new DPAP share and publishes it using mDNS.

#### Parameters

name | The name that will be published by mDNS. |
password | A share password or NULL. |
db | A media database. |
container_db | A container (album) database. |
transcode_mimetype | A transcode mimetype or NULL. |

#### Returns

a pointer to a DPAPShare.

## Types and Values